%Test the convergence for a number of data sets

function oT = eccvTstCvg( iTst, i2 )
    
  tst = iTst;

  cd ~/zPers/phdDoc/eccv1/tst
  %addpath ~/zPers/dev/zuseful
  load suite;

  OP = [ 1 1 16 1   5;
         1 1 16 .5  5;
         1 1 16 1/3 5;
         3 1 16 1   5;
         3 1 16 .5  5;
         3 1 16 1/3 5;
        41 1 16 1   5;
        42 1 16 1   5;
        43 1 16 1   5;
        51 1 16 1   5;
        52 1 16 1   5;
        53 1 16 1   5; ];

  if nargin > 1
    OP(:,4) = OP(:,4)*i2;
  end

  [oT.X,oT.Y,oT.Xi,oT.time] = optGridOP( suite.tmp{tst}, suite.img{tst},...
                                         suite.X0{tst}, OP, suite.Xv{tst}, ...
                                         1000);

