%function [oH, oHx, oMn, oStd, oN] = errHst(iX0,iXt,ix,iy,iBins,iThr)
%Only x,y inputs

function [oH, oHx, oMn, oStd, oN] = errHst(iX0,iXt,ix,iy,iBins,iThr)
  
  nSeries = length(iXt);
  nTest = size(iXt{1},2);

  oH = zeros(nSeries,iBins); %Histogram
  oHx = zeros(nSeries,iBins); %Histogram
  
  for ci = 1:nSeries
    tTest = iXt{ci};
    tTest(ix,:) = (tTest(ix,:)-iX0(ix)).^2;
    tTest(iy,:) = (tTest(iy,:)-iX0(iy)).^2;
    tTest = sqrt(sum(tTest));
    [a b] = hist(tTest,iBins);
    oH(ci,:) = a;
    oHx(ci,:) = b;
    oMn(ci) = mean(tTest);
    oStd(ci) = std(tTest);
    oN(ci) = prod(size(find(tTest<iThr)));
  end